package com.ssj.service.weixin.push.service;

import com.ssj.bean.weixin.push.domain.PushTemplate;
import com.ssj.bean.weixin.push.domain.SendTemplateShort;
import com.ssj.framework.core.common.service.BaseService;

/** 
 * @author  ZhangCaibao 
 * @version 2017年5月5日 下午2:52:38 
 * 类说明 
 */
public interface PushTemplateService extends BaseService<PushTemplate, String> {

	/**
	 * 定时推送
	* 
	* 创建人：ZhangCaibao 
	* 2017年5月5日 下午3:05:22 
	* @void
	 */
	 @Deprecated
	 public void pushTemplate();
	 @Deprecated
	 public void savePushTemplate(String objectId, String content);
	 
	 //定时推送新方法，建议用
	 public void pushWxTemplate();
	 //定时推送新方法，建议用
	 public boolean savePushWxTemplate(SendTemplateShort sendTemplateShort);
	 //保存同时立即推送
	 public void saveAndSendPushWxTemplate(SendTemplateShort sendTemplateShort);
	 
	 
}
